﻿//-- Constants --

var Sup_moji=[
["Ĉ", "Cx"],
["Ĝ", "Gx"],
["Ĵ", "Jx"],
["Ĥ", "Hx"],
["Ŝ", "Sx"],
["Ŭ", "Ux"],
["ĉ", "cx"],
["ĝ", "gx"],
["ĵ", "jx"],
["ĥ", "hx"],
["ŝ", "sx"],
["ŭ", "ux"]
];

var Boinretu=[
["a", "あ"],
["i", "い"],
["u", "う"],
["e", "え"],
["o", "お"]
];


//子音+母音の場合
var Siinretu=[
//子音, Rom_Hira[]の最初の位置
["b", "56"],
["c", "0"],
["d", "41"],
["f", "86"],
["g", "16"],
["h", "51"],
["j", "31"],
["k", "11"],
["l", "6"],
["m", "66"],
["n", "46"],
["p", "61"],
["q", "0"],
["r", "71"],
["s", "21"],
["t", "36"],
["v", "91"],
["w", "81"],
["x", "0"],
["y", "76"],
["z", "26"]
];

//子音+子音+母音の場合
var Dabrretu=[
//二重子音, Rom_Hira[]の最初の位置
["lt", "247"],//『っ』
["ds", "248"],//『づ』
["ly", "96"],
["ky", "101"],
["gy", "106"],
["sh", "111"],
["sy", "116"],
["jy", "121"],
["zy", "126"],
["ty", "131"],
["ch", "136"],
["cy", "141"],
["ny", "146"],
["hy", "151"],
["by", "156"],
["py", "161"],
["my", "166"],
["ry", "171"],
["qw", "176"],
["kw", "181"],
["sw", "186"],
["ts", "191"],
["th", "196"],
["tw", "201"],
["fw", "206"],
["fy", "211"],
["gw", "216"],
["dy", "221"],
["dh", "226"],
["dw", "231"],
["zw", "236"],
["qy", "241"],
["vy", "244"]
];

//音節変換表
var Rom_Hira=[
["tt", "っ"],
["a", "あ"],
["i", "い"],
["u", "う"],
["e", "え"],
["o", "お"],
["la", "ぁ"],
["li", "ぃ"],
["lu", "ぅ"],
["le", "ぇ"],
["lo", "ぉ"],
["ka", "か"],
["ki", "き"],
["ku", "く"],
["ke", "け"],
["ko", "こ"],
["ga", "が"],
["gi", "ぎ"],
["gu", "ぐ"],
["ge", "げ"],
["go", "ご"],
["sa", "さ"],
["si", "し"],
["su", "す"],
["se", "せ"],
["so", "そ"],
["za", "ざ"],
["zi", "じ"],
["zu", "ず"],
["ze", "ぜ"],
["zo", "ぞ"],
["ja", "じゃ"],
["ji", "じ"],
["ju", "じゅ"],
["je", "じぇ"],
["jo", "じょ"],
["ta", "た"],
["ti", "ち"],
["tu", "つ"],
["te", "て"],
["to", "と"],
["da", "だ"],
["di", "ぢ"],
["du", "づ"],
["de", "で"],
["do", "ど"],
["na", "な"],
["ni", "に"],
["nu", "ぬ"],
["ne", "ね"],
["no", "の"],
["ha", "は"],
["hi", "ひ"],
["hu", "ふ"],
["he", "へ"],
["ho", "ほ"],
["ba", "ば"],
["bi", "び"],
["bu", "ぶ"],
["be", "べ"],
["bo", "ぼ"],
["pa", "ぱ"],
["pi", "ぴ"],
["pu", "ぷ"],
["pe", "ぺ"],
["po", "ぽ"],
["ma", "ま"],
["mi", "み"],
["mu", "む"],
["me", "め"],
["mo", "も"],
["ra", "ら"],
["ri", "り"],
["ru", "る"],
["re", "れ"],
["ro", "ろ"],
["ya", "や"],
["yu", "ゆ"],
["yo", "よ"],
["yi", "い"],
["ye", "いぇ"],
["wa", "わ"],
["wi", "うぃ"],
["wu", "う"],
["we", "うぇ"],
["wo", "を"],
["fa", "ふぁ"],
["fi", "ふぃ"],
["fu", "ふ"],
["fe", "ふぇ"],
["fo", "ふぉ"],
["va", "う゛ぁ"],
["vi", "う゛ぃ"],
["vu", "う゛"],
["ve", "う゛ぇ"],
["vo", "う゛ぉ"],
["lya", "ゃ"],
["lyu", "ゅ"],
["lyo", "ょ"],
["n", "ん"],
["nn", "ん"],
["kya", "きゃ"],
["kyi", "きぃ"],
["kyu", "きゅ"],
["kye", "きぇ"],
["kyo", "きょ"],
["gya", "ぎゃ"],
["gyi", "ぎぃ"],
["gyu", "ぎゅ"],
["gye", "ぎぇ"],
["gyo", "ぎょ"],
["sha", "しゃ"],
["shi", "し"],
["shu", "しゅ"],
["sho", "しょ"],
["she", "しぇ"],
["sya", "しゃ"],
["syu", "しゅ"],
["syo", "しょ"],
["syi", "しぃ"],
["sye", "しぇ"],
["jya", "じゃ"],
["jyu", "じゅ"],
["jyo", "じょ"],
["jyi", "じぃ"],
["jye", "じぇ"],
["zya", "じゃ"],
["zyu", "じゅ"],
["zyo", "じょ"],
["zyi", "じぃ"],
["zye", "じぇ"],
["tya", "ちゃ"],
["tyu", "ちゅ"],
["tyo", "ちょ"],
["tyi", "ちぃ"],
["tye", "ちぇ"],
["cha", "ちゃ"],
["chi", "ち"],
["chu", "ちゅ"],
["cho", "ちょ"],
["che", "ちぇ"],
["cya", "ちゃ"],
["cyi", "ちぃ"],
["cyu", "ちゅ"],
["cye", "ちぇ"],
["cyo", "ちょ"],
["nya", "にゃ"],
["nyu", "にゅ"],
["nyo", "にょ"],
["nyi", "にぃ"],
["nye", "にぇ"],
["hya", "ひゃ"],
["hyu", "ひゅ"],
["hyo", "ひょ"],
["hyi", "ひぃ"],
["hye", "ひぇ"],
["bya", "びゃ"],
["byu", "びゅ"],
["byo", "びょ"],
["byi", "びぃ"],
["bye", "びぇ"],
["pya", "ぴゃ"],
["pyu", "ぴゅ"],
["pyo", "ぴょ"],
["pyi", "ぴぃ"],
["pye", "ぴぇ"],
["mya", "みゃ"],
["myu", "みゅ"],
["myo", "みょ"],
["myi", "みぃ"],
["mye", "みぇ"],
["rya", "りゃ"],
["ryu", "りゅ"],
["ryo", "りょ"],
["ryi", "りぃ"],
["rye", "りぇ"],
["qwa", "くぁ"],
["qwi", "くぃ"],
["qwu", "くぅ"],
["qwe", "くぇ"],
["qwo", "くぉ"],
["kwa", "くぁ"],
["kwi", "くぃ"],
["kwu", "くぅ"],
["kwe", "くぇ"],
["kwo", "くぉ"],
["swa", "すぁ"],
["swi", "すぃ"],
["swu", "すぅ"],
["swe", "すぇ"],
["swo", "すぉ"],
["tsu", "つ"],
["tsa", "つぁ"],
["tsi", "つぃ"],
["tse", "つぇ"],
["tso", "つぉ"],
["tha", "てゃ"],
["thi", "てぃ"],
["thu", "てゅ"],
["the", "てぇ"],
["tho", "てょ"],
["twa", "とぁ"],
["twi", "とぃ"],
["twu", "とぅ"],
["twe", "とぇ"],
["two", "とぉ"],
["fwa", "ふぁ"],
["fwi", "ふぃ"],
["fwu", "ふぅ"],
["fwe", "ふぇ"],
["fwo", "ふぉ"],
["fyi", "ふぃ"],
["fye", "ふぇ"],
["fya", "ふゃ"],
["fyu", "ふゅ"],
["fyo", "ふょ"],
["gwa", "ぐぁ"],
["gwi", "ぐぃ"],
["gwu", "ぐぅ"],
["gwe", "ぐぇ"],
["gwo", "ぐぉ"],
["dya", "ぢゃ"],
["dyi", "ぢぃ"],
["dyu", "ぢゅ"],
["dye", "ぢぇ"],
["dyo", "ぢょ"],
["dha", "でゃ"],
["dhi", "でぃ"],
["dhu", "でゅ"],
["dhe", "でぇ"],
["dho", "でょ"],
["dwa", "どぁ"],
["dwi", "どぃ"],
["dwu", "どぅ"],
["dwe", "どぇ"],
["dwo", "どぉ"],
["zwa", "ずぁ"],
["zwi", "ずぃ"],
["zwu", "ずぅ"],
["zwe", "ずぇ"],
["zwo", "ずぉ"],
["qya", "くゃ"],
["qyu", "くゅ"],
["qyo", "くょ"],
["vya", "う゛ゃ"],
["vyu", "う゛ゅ"],
["vyo", "う゛ょ"],
["ltu", "っ"],
["dsu", "づ"],	//END
["xxx", "●"],
["xxx", "●"],
["xxx", "●"],
["xxx", "●"],
["xxx", "●"]	//END+5 まで moji_set()でループ
];



//

